Package org.eclipse.m2m.atl.core.ant.tasks.nested

# Class Extractor

java.lang.Object
org.eclipse.m2m.atl.core.ant.tasks.nested.Extractor

public class Extractor extends Object
Extractor nested element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`Extractor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConfiguredParam(Param p)`
Adds a `Param`.
`String`
`getName()`
`Map<String,Object>`
`getParams()`
`void`
`setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

protected String name

## Constructor Details

### Extractor

public Extractor()

## Method Details

### addConfiguredParam

public void addConfiguredParam(Param p)
Adds a `Param`.

Parameters:
  `p` - the parameter

### getName

public String getName()

### setName

public void setName(String name)

### getParams

public Map<String,Object> getParams()